SeExpr

Classes | Namespaces | Functions
Evaluator.h File Reference
`#include "ExprConfig.h"`
`#include "ExprLLVMAll.h"`
`#include "VarBlock.h"`

Go to the source code of this file.

## Classes
class | SeExpr2::LLVMEvaluator

## Namespaces
| SeExpr2

## Functions
void | SeExpr2LLVMEvalFPVarRef (SeExpr2::ExprVarRef *seVR, double *result)
void | SeExpr2LLVMEvalStrVarRef (SeExpr2::ExprVarRef *seVR, double *result)
void | SeExpr2LLVMEvalCustomFunction (int *opDataArg, double *fpArg, char **strArg, void **funcdata, const SeExpr2::ExprFuncNode *node)

## Function Documentation

## ◆ SeExpr2LLVMEvalCustomFunction()

void SeExpr2LLVMEvalCustomFunction | ( | int * | opDataArg,
|  | double * | fpArg,
|  | char ** | strArg,
|  | void ** | funcdata,
|  | const SeExpr2::ExprFuncNode * | node
| ) |  |

Definition at line 110 of file ExprFuncX.cpp.

References SeExpr2::ExprFuncSimple::ArgHandle::data, SeExpr2::ExprFuncNode::func(), SeExpr2::ExprFunc::funcx(), and SeExpr2::ExprFuncNode::setData().

## ◆ SeExpr2LLVMEvalFPVarRef()

void SeExpr2LLVMEvalFPVarRef | ( | SeExpr2::ExprVarRef * | seVR,
|  | double * | result
| ) |  |

## ◆ SeExpr2LLVMEvalStrVarRef()

void SeExpr2LLVMEvalStrVarRef | ( | SeExpr2::ExprVarRef * | seVR,
|  | double * | result
| ) |  |